# Example multistrap configuration file describing all options
# using the default options and suggestions as comments.

[General]
# can be overridden on the command line
arch=
# can be overriden on the command line
directory=
# same as --tidy-up option if set to true
cleanup=true
# same as --no-auth option if set to true
# keyring packages listed in each bootstrap will
# still be installed.
noauth=false
# whether to add the /suite to be explicit about where apt
# needs to look for packages. Default is false. (care required)
explicitsuite=false
# copied into the chroot to be executed later
# configscript=path/to/config.sh
configscript=
# executed within the chroot (so do not execute foreign binaries in this script)
# setupscript=path/to/setup.sh
setupscript=
# omit packages with Priority: required (care needed)
omitrequired=false
# add packages of Priority: important
addimportant=false
# avoid running preinst scripts in native mode
omitpreinst=false
# apt preferences file
# aptpreferences=pref.conf
aptpreferences=
# explicitly set the APT::Default-Release (default is *)
aptdefaultrelease=
# download the sources for the packages downloaded
retainsources=false
# allow Recommended packages to be seen as strict dependencies
allowrecommends=false
# debconf preseed file
# debconfseed=debconf.txt
debconfseed=
# hook directory, executable scripts called:
# download*, native* or completion*
# hookdir=path/to/hooks/
hookdir=
# multiarch architectures to enable (space separated list)
# multiarch=i386 armel armhf
multiarch=amd64 armel
# include variables from a more generic config file
# include=path/to/general.conf
include=
# do not configure native packages
ignorenativearch=false
# name of a tarball to create containing the multistrap chroot
# tarballname=tarball.tgz
tarballname=
# extract all downloaded archives (default is true)
unpack=true
# the order of sections is not important.
# the bootstrap option determines which repository
# is used to calculate the list of Priority: required packages.
bootstrap=Debian Foreign
aptsources=Debian

[Debian]
packages=apt
source=http://http.debian.net/debian
keyring=debian-archive-keyring
suite=wheezy
omitdebsrc=false
additional=
reinstall=
components=main

[Foreign]
packages=libgcc1 libc6
architecture=armel
source=http://http.debian.net/debian
keyring=debian-archive-keyring
suite=sid
